<?php

namespace App\Entities\RequisicaoProcedimento;

use App\Utils\Builder;

class RequisicaoProcedimentoBuilder implements Builder {
	protected $id;
	protected $id_pet;
	protected $id_medico;
	protected $id_convenio_procedimento;
	protected $id_consulta;
	protected $status_id;
	protected $status_anamnese;
	protected $id_consulta_exame;
	protected $data_requisicao;
	protected $hora_requisicao;
	protected $usuario_executor;
	protected $data_execucao;
	protected $hora_execucao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;

	public function build(): RequisicaoProcedimento {

		$requisicaoProcediemnto = new RequisicaoProcedimento();
		if (isset( $this->id )) {
			$requisicaoProcediemnto->setid( $this->id );
		}
		if (isset( $this->id_pet )) {
			$requisicaoProcediemnto->setId_pet( $this->id_pet );
		}
		if (isset( $this->id_medico )) {
			$requisicaoProcediemnto->setId_medico( $this->id_medico );
		}
		if (isset( $this->id_convenio_procedimento )) {
			$requisicaoProcediemnto->setId_convenio_procedimento( $this->id_convenio_procedimento );
		}
		if (isset( $this->id_consulta )) {
			$requisicaoProcediemnto->setId_consulta( $this->id_consulta );
		}
		if (isset( $this->id_consulta_exame )) {
			$requisicaoProcediemnto->setId_consulta_exame( $this->id_consulta_exame );
		}
		if (isset( $this->status_id )) {
			$requisicaoProcediemnto->setStatus_id( $this->status_id );
		}
		if (isset( $this->status_anamnese )) {
			$requisicaoProcediemnto->setStatus_anamnese( $this->status_anamnese );
		}
		if (isset( $this->data_requisicao )) {
			$requisicaoProcediemnto->setData_requisicao( $this->data_requisicao );
		}
		if (isset( $this->hora_requisicao )) {
			$requisicaoProcediemnto->setHora_requisicao( $this->hora_requisicao );
		}
		if (isset( $this->usuario_executor )) {
			$requisicaoProcediemnto->setUsuario_executor( $this->usuario_executor );
		}
		if (isset( $this->data_execucao )) {
			$requisicaoProcediemnto->setData_execucao( $this->data_execucaor );
		}
		if (isset( $this->hora_execucao )) {
			$requisicaoProcediemnto->setHora_execucao( $this->hora_execucao );
		}

		if (isset( $this->atualizado_por )) {
			$requisicaoProcediemnto->setAtualizado_por( $this->atualizado_por );
		}
		if (isset( $this->data_atualizacao )) {
			$requisicaoProcediemnto->setData_atualizacao( $this->data_atualizacao );
		}
		if (isset( $this->hora_atualizacao )) {
			$requisicaoProcediemnto->setHora_atualizacao( $this->hora_atualizacao );
		}

		return $requisicaoProcediemnto;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setId_pet($id_pet) {

		$this->id_pet = $id_pet;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_medico
	 */
	public function setId_medico($id_medico) {

		$this->id_medico = $id_medico;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_convenio_procedimento
	 */
	public function setId_convenio_procedimento($id_convenio_procedimento) {

		$this->id_convenio_procedimento = $id_convenio_procedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_consulta
	 */
	public function setId_consulta($id_consulta) {

		$this->id_consulta = $id_consulta;
		return $this;

	}

	/**
	 *
	 * @param mixed $status_id
	 */
	public function setStatus_id($status_id) {

		$this->status_id = $status_id;
		return $this;

	}

	/**
	 *
	 * @param mixed $status_anamnese
	 */
	public function setStatus_anamnese($status_anamnese) {

		$this->status_anamnese = $status_anamnese;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_consulta_exame
	 */
	public function setId_consulta_exame($id_consulta_exame) {

		$this->id_consulta_exame = $id_consulta_exame;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_requisicao
	 */
	public function setData_requisicao($data_requisicao) {

		$this->data_requisicao = $data_requisicao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_requisicao
	 */
	public function setHora_requisicao($hora_requisicao) {

		$this->hora_requisicao = $hora_requisicao;
		return $this;

	}

	/**
	 *
	 * @param mixed $usuario_executor
	 */
	public function setUsuario_executor($usuario_executor) {

		$this->usuario_executor = $usuario_executor;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_execucao
	 */
	public function setData_execucao($data_execucao) {

		$this->data_execucao = $data_execucao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_execucao
	 */
	public function setHora_execucao($hora_execucao) {

		$this->hora_execucao = $hora_execucao;
		return $this;

	}

	/**
	 *
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por) {

		$this->atualizado_por = $atualizado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_atualizacao
	 */
	public function setData_atualizacao($data_atualizacao) {

		$this->data_atualizacao = $data_atualizacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_atualizacao
	 */
	public function setHora_atualizacao($hora_atualizacao) {

		$this->hora_atualizacao = $hora_atualizacao;
		return $this;

	}

}

